ResourceAuxLog (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.galerts.ResourceAuxLog class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.galerts
Class ResourceAuxLog

    java.lang.Object
      org.hyperic.hq.events.SimpleAlertAuxLog
          org.hyperic.hq.appdef.galerts.ResourceAuxLog

All Implemented Interfaces:
  AlertAuxLog

    public class ResourceAuxLog

extends SimpleAlertAuxLog

Constructor Summary
`ResourceAuxLog(java.lang.String desc, long timestamp, AppdefEntityID ent)`

Method Summary
`AppdefEntityID` | `getEntity()`
`AlertAuxLogProvider` | `getProvider()`
`java.lang.String` | `getURL()` Provide an optional URL which can be used to see more information about the log.

Methods inherited from class org.hyperic.hq.events.SimpleAlertAuxLog
`addChild, getChildren, getDescription, getTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceAuxLog

    public ResourceAuxLog(java.lang.String desc,
                          long timestamp,
                          AppdefEntityID ent)

Method Detail

### getEntity

    public AppdefEntityID getEntity()

### getProvider

    public AlertAuxLogProvider getProvider()

  Specified by:
    `getProvider` in interface `AlertAuxLog`
  Overrides:
    `getProvider` in class `SimpleAlertAuxLog`

### getURL

    public java.lang.String getURL()

  Description copied from interface: `AlertAuxLog`
  Provide an optional URL which can be used to see more information about the log. This method should return a path after the regular web prefix (i.e. it will be prepended with http://localhost:7080/ or whatever the context is)

  Specified by:
    `getURL` in interface `AlertAuxLog`
  Overrides:
    `getURL` in class `SimpleAlertAuxLog`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.